> For the complete documentation index, see [llms.txt](https://partner-docs.covergenius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://partner-docs.covergenius.com/rentalcover/endpoints/notification-update.md).

# Notification/update

**What it does:** Acknowledges that your system has processed a notification event.

**When to call it:** After handling each event returned by Notifications/list.

```
POST /notifications/update/event/<eventid>
```

## Example request

```shellscript
curl -i -X POST \
  -H "X_API_KEY: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"Acknowledged": true, "ProcessedAt": "2025-08-01 09:00:00"}' \
  https://api-staging.rentalcover.com/notifications/update/event/evt_71jea4sjl778s24
```

## Request Parameters

<table data-header-hidden="false" data-header-sticky><thead><tr><th width="189.7308349609375">Parameter</th><th width="149.6307373046875">Required?</th><th>Description</th></tr></thead><tbody><tr><td><code>eventid</code> (URL)</td><td>Required</td><td>The <code>EventId</code> from the Notifications/list response.</td></tr><tr><td><code>Acknowledged</code></td><td>Required</td><td><code>true</code> if your system processed the event successfully. <code>false</code> if processing failed.</td></tr><tr><td><code>ProcessedAt</code></td><td>Required</td><td>Timestamp of when your system processed the event. Format: <code>yyyy-mm-dd hh:mm:ss</code>.</td></tr></tbody></table>

## Response&#x20;

Returns Status string on `ok`.

```graphql
{
   "Status":"ok"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://partner-docs.covergenius.com/rentalcover/endpoints/notification-update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
